## copyq 3.1.2

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.6)
project(copyq)

# C++11
if (${CMAKE_MAJOR_VERSION}.${CMAKE_MINOR_VERSION} GREATER 3.1)
    set(CMAKE_CXX_STANDARD 11)
else()
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++11")
endif()

if(CMAKE_BUILD_TYPE MATCHES Debug)
    set(COPYQ_DEBUG ON)
    add_definitions( -DCOPYQ_DEBUG  )
endif()

OPTION(PEDANTIC "Enable all compiler warnings" OFF)

# Options (cmake -LH)
OPTION(WITH_QT5 "Use Qt 5 (disable to use Qt 4 instead)" ON)
OPTION(WITH_TESTS "Run test cases from command line" ${COPYQ_DEBUG})
OPTION(WITH_PLUGINS "Compile plugins" ON)
# Unix-specific options
if (UNIX AND NOT APPLE)
    set(PLUGIN_INSTALL_PREFIX "${CMAKE_INSTALL_PREFIX}/${CMAKE_SHARED_MODULE_PREFIX}/copyq/plugins" CACHE PATH "Install path for plugins")
    set(ICON_INSTALL_PREFIX "${CMAKE_INSTALL_PREFIX}/share/icons/hicolor/scalable/apps" CACHE PATH "Install path for icons")
    set(ICON_INSTALL_PREFIX_TEMPLATE "${CMAKE_INSTALL_PREFIX}/share/icons/hicolor/%SIZE%/apps" CACHE PATH "Install path for icons (%SIZE% is icon size)")
    set(THEME_INSTALL_PREFIX "${CMAKE_INSTALL_PREFIX}/share/copyq/themes" CACHE PATH "Install path for themes")
    set(DESKTOP_INSTALL_PREFIX "${CMAKE_INSTALL_PREFIX}/share/applications" CACHE PATH "Install path for \"copyq.desktop\"")
    set(APPDATA_INSTALL_PREFIX "${CMAKE_INSTALL_PREFIX}/share/metainfo" CACHE PATH "Install path for \"copyq.appdata.xml\"")
    set(MANPAGE_INSTALL_PREFIX "${CMAKE_INSTALL_PREFIX}/share/man/man1" CACHE PATH "Install path for manual pages")
    set(TRANSLATION_INSTALL_PREFIX "${CMAKE_INSTALL_PREFIX}/share/copyq/translations" CACHE PATH "Install path for translations")
endif()

set(CMAKE_AUTOMOC ON)

if (WITH_QT5)
    cmake_minimum_required(VERSION 2.8.8)
    list(APPEND copyq_Qt5_Modules Widgets)
    find_package(Qt5Widgets)
    if (NOT Qt5Widgets_FOUND)
        message(FATAL_ERROR "Qt 5 is unavailable. To compile with Qt 4 use -DWITH_QT5=OFF.")
    endif()
    message(STATUS "Building with Qt 5.")
else()
    find_package(Qt4)
    if (NOT QT4_FOUND)
        # Try different executable name.
        set(QT_QMAKE_EXECUTABLE "qmake-qt4")
        find_package(Qt4)
        if (NOT QT4_FOUND)
            message(FATAL_ERROR "Qt 4 is unavailable. To compile with Qt 5 use -DWITH_QT5=ON.")
        endif()
    endif()
    message(STATUS "Building with Qt 4.")
endif()

set(copyq_ICON_PREFIX src/images/icon)
set(copyq_ICON_NORMAL src/images/icon.svg)
set(copyq_ICON_BUSY   src/images/icon-running.svg)
set(copyq_DESKTOP     shared/copyq.desktop)
set(copyq_APPDATA     shared/copyq.appdata.xml)
set(copyq_MANPAGE     debian/copyq.1)

# Be more strict while compiling debugging version
if(CMAKE_COMPILER_IS_GNUCXX OR "${CMAKE_CXX_COMPILER_ID}" STREQUAL "Clang")
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wno-long-long")
    set(CMAKE_CXX_FLAGS_DEBUG
        "${CMAKE_CXX_FLAGS_DEBUG} -Wextra -Wall -pedantic -Wfloat-equal -Woverloaded-virtual -Wundef")
endif()

if (PEDANTIC)
    if (CMAKE_COMPILER_IS_GNUCXX)
        set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wextra -Wall \
            -Wsuggest-override \
            -Wlogical-op \
            -Wnoexcept \
            -Wstrict-null-sentinel \
            ")
    else()
        set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Weverything \
            -Winconsistent-missing-override \
            ")

        set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} \
            -Wno-c++98-compat \
            -Wno-c++98-compat-pedantic \
            -Wno-shadow-field-in-constructor \
            -Wno-weak-vtables \
            -Wno-disabled-macro-expansion \
            -fcomment-block-commands=retval \
            ")

        # Disable errors from moc-generated files.
        set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} \
            -Wno-undefined-reinterpret-cast \
            -Wno-missing-prototypes \
            ")

        # Disable errors from qrc-generated files.
        set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} \
            -Wno-exit-time-destructors \
            -Wno-global-constructors \
            ")
    endif()

    set(CMAKE_CXX_FLAGS
        "${CMAKE_CXX_FLAGS} -pedantic -Werror \
        -Wcast-align \
        -Wcast-qual \
        -Wctor-dtor-privacy \
        -Wdisabled-optimization \
        -Wformat=2 \
        -Winit-self \
        -Wmissing-declarations \
        -Wmissing-include-dirs \
        -Wold-style-cast \
        -Woverloaded-virtual \
        -Wredundant-decls \
        -Wstrict-overflow=4 \
        -Wundef \
        ")

    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} \
        -Wno-padded \
        -Wno-switch-enum \
        ")

    # Disable Q_OBJECT macro warnings.
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} \
        -Wno-unused-member-function \
        ")
endif()

if(WITH_TESTS)
    message(STATUS "Building with tests.")

    add_definitions( -DHAS_TESTS )

    if (WITH_QT5)
        list(APPEND copyq_Qt5_Modules Test)
    else()
        set(QT_USE_QTTEST TRUE)
    endif()
endif()

# Get application version.
if (EXISTS "version.txt")
    file(STRINGS "version.txt" copyq_version)
endif()

if (NOT copyq_version)
    find_package(Git)
    if(GIT_FOUND)
        execute_process(COMMAND
            "${GIT_EXECUTABLE}" describe
            WORKING_DIRECTORY "${CMAKE_SOURCE_DIR}"
            RESULT_VARIABLE copyq_git_describe_result
            OUTPUT_VARIABLE copyq_git_describe_output
            ERROR_QUIET
            OUTPUT_STRIP_TRAILING_WHITESPACE
            )
        if(copyq_git_describe_result EQUAL 0)
            set(copyq_version "${copyq_git_describe_output}")
        endif()
    endif()
endif()

if (copyq_version)
    message(STATUS "Building CopyQ version ${copyq_version}.")
    add_definitions( -DCOPYQ_VERSION="${copyq_version}" )
endif()

if (UNIX AND NOT APPLE)
    install(FILES ${copyq_ICON_NORMAL} DESTINATION ${ICON_INSTALL_PREFIX} RENAME copyq-normal.svg)
    install(FILES ${copyq_ICON_BUSY}   DESTINATION ${ICON_INSTALL_PREFIX} RENAME copyq-busy.svg)
    install(FILES ${copyq_DESKTOP}     DESTINATION ${DESKTOP_INSTALL_PREFIX})
    install(FILES ${copyq_APPDATA}     DESTINATION ${APPDATA_INSTALL_PREFIX})
    install(FILES ${copyq_MANPAGE}     DESTINATION ${MANPAGE_INSTALL_PREFIX})

    foreach (copyq_ICON_EXTENT 16 22 24 32 48 64 128)
        set(copyq_ICON_SIZE "${copyq_ICON_EXTENT}x${copyq_ICON_EXTENT}")
        string(REPLACE "%SIZE%" "${copyq_ICON_SIZE}" copyq_ICON_TARGET_PREFIX "${ICON_INSTALL_PREFIX_TEMPLATE}")
        foreach (copyq_ICON_TYPE "" "-normal" "-busy")
            install(FILES "${copyq_ICON_PREFIX}${copyq_ICON_TYPE}_${copyq_ICON_SIZE}.png" DESTINATION "${copyq_ICON_TARGET_PREFIX}" RENAME "copyq${copyq_ICON_TYPE}.png")
        endforeach()
    endforeach()

    set(copyq_THEME_INSTALL_PREFIX ${THEME_INSTALL_PREFIX})
    file(GLOB copyq_THEMES shared/themes/*.ini)
    install(FILES ${copyq_THEMES} DESTINATION ${THEME_INSTALL_PREFIX})

    add_definitions( -DCOPYQ_ICON_PREFIX="${ICON_INSTALL_PREFIX}/copyq" )
    add_definitions( -DCOPYQ_THEME_PREFIX="${THEME_INSTALL_PREFIX}" )
    add_definitions( -DCOPYQ_PLUGIN_PREFIX="${PLUGIN_INSTALL_PREFIX}" )
    add_definitions( -DCOPYQ_DESKTOP_PREFIX="${DESKTOP_INSTALL_PREFIX}" )
    add_definitions( -DCOPYQ_TRANSLATION_PREFIX="${TRANSLATION_INSTALL_PREFIX}" )
endif()

add_definitions( -DQT_NO_CAST_TO_ASCII )

add_subdirectory(src)

if (WITH_PLUGINS)
    add_subdirectory(plugins)
endif()

=== plugins/itemfakevim/CMakeLists.txt ===
file(GLOB copyq_plugin_itemfakevim_SOURCES
    ${copyq_plugin_itemfakevim_SOURCES}
    fakevim/*.cpp
    fakevim/utils/*.cpp
    )

include_directories(fakevim)

add_definitions( -DFAKEVIM_STANDALONE -DQTCREATOR_UTILS_STATIC_LIB )
set(copyq_plugin_itemfakevim_DEFINITIONS
    FAKEVIM_STANDALONE
    QTCREATOR_UTILS_STATIC_LIB)

set(copyq_plugin_itemfakevim_RESOURCES itemfakevim.qrc)

copyq_add_plugin(itemfakevim)

# Disable warnings for 3rd-party source code.
if (PEDANTIC)
    if (CMAKE_COMPILER_IS_GNUCXX)
        set(IGNORE_PEDANTIC_FLAGS "-Wno-suggest-override")
    else()
        set(IGNORE_PEDANTIC_FLAGS "-Wno-unused-macros")
    endif()

    set_source_files_properties(
        fakevim/fakevimhandler.cpp
        fakevim/fakevimactions.cpp
        PROPERTIES COMPILE_FLAGS
        "\
        -Wno-shorten-64-to-32 \
        -Wno-sign-conversion \
        -Wno-conversion \
        -Wno-unreachable-code \
        -Wno-documentation-unknown-command \
        -Wno-shadow \
        -Wno-missing-declarations \
        -Wno-strict-overflow \
        ${IGNORE_PEDANTIC_FLAGS} \
        ")
endif()

=== plugins/itemnotes/CMakeLists.txt ===
set(copyq_plugin_itemnotes_SOURCES
    ../../src/gui/iconfont.cpp
    ../../src/gui/iconwidget.cpp
    )

copyq_add_plugin(itemnotes)

=== plugins/itemtags/CMakeLists.txt ===
set(copyq_plugin_itemtags_SOURCES
    ../../src/common/config.cpp
    ../../src/common/mimetypes.cpp
    ../../src/common/textdata.cpp
    ../../src/gui/iconselectbutton.cpp
    ../../src/gui/iconselectdialog.cpp
    ../../src/gui/iconwidget.cpp
    ../../src/gui/iconfont.cpp
    )

copyq_add_plugin(itemtags)

=== plugins/itemtext/CMakeLists.txt ===
set(copyq_plugin_itemtext_SOURCES
    ../../src/common/mimetypes.cpp
    )

copyq_add_plugin(itemtext)

=== plugins/itemweb/CMakeLists.txt ===
OPTION(WITH_WEBKIT "WebKit support" ON)

# Qt modules
if (WITH_QT5)
    # webkit
    if (WITH_WEBKIT)
        find_package(Qt5WebKitWidgets QUIET)
        set(HAS_WEBKIT ${Qt5WebKitWidgets_FOUND})
    endif(WITH_WEBKIT)
else()
    # webkit
    if (WITH_WEBKIT)
        set(HAS_WEBKIT ${QT_QTWEBKIT_FOUND})
    endif(WITH_WEBKIT)
endif()

# webkit
if (HAS_WEBKIT)
    message(STATUS "Building with ItemWeb plugin.")

    if (WITH_QT5)
        set(copyq_plugin_itemweb_Qt5_Modules WebKitWidgets)
    else()
        set(QT_USE_QTWEBKIT ON)
    endif()

    copyq_add_plugin(itemweb)
endif(HAS_WEBKIT)

=== debian/changelog ===
copyq (3.1.2-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <073plan@gmail.com>  Fri, 27 Oct 2017 21:31:15 +0800

copyq (3.1.1-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.1.1.

 -- Boyuan Yang <073plan@gmail.com>  Wed, 04 Oct 2017 21:14:50 +0800

copyq (3.1.0-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <073plan@gmail.com>  Thu, 28 Sep 2017 20:26:13 +0800

copyq (3.0.3+git20170926-3) unstable; urgency=medium

  * Stop using B-D-Indep to workaround FTBFS in non-all builds.

 -- Boyuan Yang <073plan@gmail.com>  Thu, 28 Sep 2017 00:27:10 +0800

copyq (3.0.3+git20170926-2) unstable; urgency=medium

  [ Yangfl ]
  * Use dh_sphinxdoc to build copyq-doc.

  [ Boyuan Yang ]
  * Mark copyq-doc as M-A: foreign.

 -- Yangfl <mmyangfl@gmail.com>  Wed, 27 Sep 2017 20:01:56 +0800

copyq (3.0.3+git20170926-1) unstable; urgency=medium

  * New upstream snapshot.
    + Try to fix FTBFS on non-linux platforms. (See #876465)
    + Various fixes.

 -- Boyuan Yang <073plan@gmail.com>  Tue, 26 Sep 2017 22:42:37 +0800

copyq (3.0.3-1) unstable; urgency=medium

  * Initial release (Closes: #736768)

 -- Yangfl <mmyangfl@gmail.com>  Sun, 10 Sep 2017 20:33:01 +0800

=== debian/control ===
Source: copyq
Section: utils
Priority: optional
Maintainer: Yangfl <mmyangfl@gmail.com>
Uploaders:
 Boyuan Yang <073plan@gmail.com>,
Build-Depends:
 cmake,
 debhelper (>= 10),
Build-Depends-Arch:
 libqt5svg5-dev,
 libxfixes-dev,
 libxtst-dev,
 qtbase5-private-dev,
 qtscript5-dev,
 qttools5-dev,
 qttools5-dev-tools,
Build-Depends-Indep:
 python3-sphinx,
 python3-sphinx-rtd-theme,
Standards-Version: 4.1.1
Homepage: https://hluk.github.io/CopyQ/
Vcs-Browser: https://anonscm.debian.org/git/collab-maint/copyq.git
Vcs-Git: https://anonscm.debian.org/git/collab-maint/copyq.git

Package: copyq
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 copyq-plugins (= ${binary:Version}),
Suggests:
 libqt5svg5,
 copyq-doc,
Description: Advanced clipboard manager with editing and scripting features
 CopyQ monitors system clipboard and saves its content in customized tabs.
 Saved clipboard can be later copied and pasted directly into any application.
 .
 Items can be:
  * edited with internal editor or with preferred text editor,
  * moved to other tabs,
  * drag'n'dropped to applications,
  * marked with tag or a note,
  * passed to or changed by custom commands,
  * or simply removed.
 .
 Features:
  * Support for Linux, Windows and OS X 10.9+
  * Store text, HTML, images or any other custom formats
  * Quickly browse and filter items in clipboard history
  * Sort, create, edit, remove, copy/paste, drag'n'drop items in tabs
  * Add notes or tags to items
  * System-wide shortcuts with customizable commands
  * Paste items with shortcut or from tray or main window
  * Fully customizable appearance
  * Advanced command-line interface and scripting
  * Ignore clipboard copied from some windows or containing some text
  * Support for simple Vim-like editor and shortcuts
  * Many more features

Package: copyq-plugins
Architecture: any
Depends:
 copyq (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Description: Plugins for CopyQ
 CopyQ monitors system clipboard and saves its content in customized tabs.
 Saved clipboard can be later copied and pasted directly into any application.
 .
 This package contains plugins that add various item types support and features
 to CopyQ, including:
  * Text with Highlighting
  * Images
  * Web Pages
  * Various Data
  * Notes
  * Encryption
  * FakeVim Editor
  * Synchronize Items to Disk
  * Item Tags
  * Pinned Items

Package: copyq-doc
Architecture: all
Depends:
 ${sphinxdoc:Depends},
 ${misc:Depends},
Built-Using:
 ${sphinxdoc:Built-Using},
Section: doc
Multi-Arch: foreign
Description: Documentation and examples for CopyQ - HTML format
 CopyQ monitors system clipboard and saves its content in customized tabs.
 Saved clipboard can be later copied and pasted directly into any application.
 .
 This contains the documentation in HTML format.

=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
#export DH_VERBOSE = 1


# see FEATURE AREAS in dpkg-buildflags(1)
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# see ENVIRONMENT in dpkg-buildflags(1)
# package maintainers to append CFLAGS
export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
# package maintainers to append LDFLAGS
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

export QT_SELECT=5


%:
	dh $@ --with sphinxdoc

%-arch:
	dh $@

%-indep:
	dh $@ --with sphinxdoc

clean:
	dh $@

override_dh_auto_clean-indep:
	rm -rf _build/

override_dh_auto_configure-arch:
	dh_auto_configure -- \
		-DWITH_WEBKIT=1

override_dh_auto_configure-indep:

override_dh_auto_build-indep: _build/html/

_build/html/: docs/conf.py $(wildcard docs/*.rst docs/images/*)
	sphinx-build docs/ $@

override_dh_auto_install-indep:

## copyq 3.2.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -29,6 +29,9 @@
     set(APPDATA_INSTALL_PREFIX "${CMAKE_INSTALL_PREFIX}/share/metainfo" CACHE PATH "Install path for \"copyq.appdata.xml\"")
     set(MANPAGE_INSTALL_PREFIX "${CMAKE_INSTALL_PREFIX}/share/man/man1" CACHE PATH "Install path for manual pages")
     set(TRANSLATION_INSTALL_PREFIX "${CMAKE_INSTALL_PREFIX}/share/copyq/translations" CACHE PATH "Install path for translations")
+    set(DESKTOP_INSTALL_NAME "copyq.desktop" CACHE STRING "Name for desktop file")
+    set(APPDATA_INSTALL_NAME "copyq.appdata.xml" CACHE STRING "Name for appdata file")
+    set(ICON_NAME "copyq" CACHE STRING "Name for icon files")
 endif()
 
 set(CMAKE_AUTOMOC ON)
@@ -65,7 +68,7 @@
 if(CMAKE_COMPILER_IS_GNUCXX OR "${CMAKE_CXX_COMPILER_ID}" STREQUAL "Clang")
     set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wno-long-long")
     set(CMAKE_CXX_FLAGS_DEBUG
-        "${CMAKE_CXX_FLAGS_DEBUG} -Wextra -Wall -pedantic -Wfloat-equal -Woverloaded-virtual -Wundef")
+        "${CMAKE_CXX_FLAGS_DEBUG} -Wextra -Wall -pedantic -Wfloat-equal -Woverloaded-virtual -Wundef -Wno-inconsistent-missing-destructor-override")
 endif()
 
 if (PEDANTIC)
@@ -171,17 +174,19 @@
 endif()
 
 if (UNIX AND NOT APPLE)
-    install(FILES ${copyq_ICON_NORMAL} DESTINATION ${ICON_INSTALL_PREFIX} RENAME copyq-normal.svg)
-    install(FILES ${copyq_ICON_BUSY}   DESTINATION ${ICON_INSTALL_PREFIX} RENAME copyq-busy.svg)
-    install(FILES ${copyq_DESKTOP}     DESTINATION ${DESKTOP_INSTALL_PREFIX})
-    install(FILES ${copyq_APPDATA}     DESTINATION ${APPDATA_INSTALL_PREFIX})
+    install(FILES ${copyq_ICON_NORMAL} DESTINATION ${ICON_INSTALL_PREFIX} RENAME ${ICON_NAME}-normal.svg)
+    install(FILES ${copyq_ICON_BUSY}   DESTINATION ${ICON_INSTALL_PREFIX} RENAME ${ICON_NAME}-busy.svg)
+    install(FILES ${copyq_APPDATA}     DESTINATION ${APPDATA_INSTALL_PREFIX} RENAME ${APPDATA_INSTALL_NAME})
     install(FILES ${copyq_MANPAGE}     DESTINATION ${MANPAGE_INSTALL_PREFIX})
+
+    configure_file(${copyq_DESKTOP}.in ${copyq_DESKTOP})
+    install(FILES ${CMAKE_CURRENT_BINARY_DIR}/${copyq_DESKTOP} DESTINATION ${DESKTOP_INSTALL_PREFIX} RENAME ${DESKTOP_INSTALL_NAME})
 
     foreach (copyq_ICON_EXTENT 16 22 24 32 48 64 128)
         set(copyq_ICON_SIZE "${copyq_ICON_EXTENT}x${copyq_ICON_EXTENT}")
         string(REPLACE "%SIZE%" "${copyq_ICON_SIZE}" copyq_ICON_TARGET_PREFIX "${ICON_INSTALL_PREFIX_TEMPLATE}")
         foreach (copyq_ICON_TYPE "" "-normal" "-busy")
-            install(FILES "${copyq_ICON_PREFIX}${copyq_ICON_TYPE}_${copyq_ICON_SIZE}.png" DESTINATION "${copyq_ICON_TARGET_PREFIX}" RENAME "copyq${copyq_ICON_TYPE}.png")
+            install(FILES "${copyq_ICON_PREFIX}${copyq_ICON_TYPE}_${copyq_ICON_SIZE}.png" DESTINATION "${copyq_ICON_TARGET_PREFIX}" RENAME "${ICON_NAME}${copyq_ICON_TYPE}.png")
         endforeach()
     endforeach()
 
@@ -189,11 +194,12 @@
     file(GLOB copyq_THEMES shared/themes/*.ini)
     install(FILES ${copyq_THEMES} DESTINATION ${THEME_INSTALL_PREFIX})
 
-    add_definitions( -DCOPYQ_ICON_PREFIX="${ICON_INSTALL_PREFIX}/copyq" )
+    add_definitions( -DCOPYQ_ICON_PREFIX="${ICON_INSTALL_PREFIX}/${ICON_NAME}" )
     add_definitions( -DCOPYQ_THEME_PREFIX="${THEME_INSTALL_PREFIX}" )
     add_definitions( -DCOPYQ_PLUGIN_PREFIX="${PLUGIN_INSTALL_PREFIX}" )
-    add_definitions( -DCOPYQ_DESKTOP_PREFIX="${DESKTOP_INSTALL_PREFIX}" )
+    add_definitions( -DCOPYQ_DESKTOP_FILE="${DESKTOP_INSTALL_PREFIX}/${DESKTOP_INSTALL_NAME}" )
     add_definitions( -DCOPYQ_TRANSLATION_PREFIX="${TRANSLATION_INSTALL_PREFIX}" )
+    add_definitions( -DCOPYQ_ICON_NAME="${ICON_NAME}" )
 endif()
 
 add_definitions( -DQT_NO_CAST_TO_ASCII )

=== plugins/CMakeLists.txt ===
macro (copyq_add_plugin)
    set(copyq_pkg ${ARGV0})

    file(GLOB copyq_plugin_SOURCES
        ${copyq_plugin_${copyq_pkg}_SOURCES}
        *.cpp
        ../../src/item/itemwidget.cpp
        )
    file(GLOB copyq_plugin_FORMS
        ${copyq_plugin_${copyq_pkg}_FORMS}
        *.ui
        )

    if (WITH_TESTS)
        file(GLOB copyq_plugin_SOURCES ${copyq_plugin_SOURCES} tests/*.cpp)
    endif (WITH_TESTS)

    include_directories(${CMAKE_CURRENT_BINARY_DIR} ../../src)

    if (WITH_QT5)
        include_directories(${Qt5Widgets_INCLUDES})
        add_definitions(${Qt5Widgets_DEFINITIONS})
        qt5_wrap_ui(copyq_plugin_FORMS_HEADERS ${copyq_plugin_FORMS})
        qt5_add_resources(copyq_plugin_RCC ${copyq_plugin_${copyq_pkg}_RESOURCES})
    else()
        include_directories(${QT_INCLUDES})
        add_definitions(${QT_DEFINITIONS})
        qt4_wrap_ui(copyq_plugin_FORMS_HEADERS ${copyq_plugin_FORMS})
        qt4_add_resources(copyq_plugin_RCC ${copyq_plugin_${copyq_pkg}_RESOURCES})
    endif()

    add_library(${copyq_pkg} MODULE
        ${copyq_plugin_SOURCES}
        ${copyq_plugin_FORMS_HEADERS}
        ${copyq_plugin_RCC}
        )

    set_target_properties(${copyq_pkg} PROPERTIES
        COMPILE_DEFINITIONS "${copyq_plugin_${copyq_pkg}_DEFINITIONS}")

    if (WITH_QT5)
        qt5_use_modules(${copyq_pkg} Widgets ${copyq_Qt5_Modules} ${copyq_plugin_${copyq_pkg}_Qt5_Modules})
    else()
        include(${QT_USE_FILE})
    endif()

    target_link_libraries(${copyq_pkg} ${QT_LIBRARIES} ${copyq_plugin_${copyq_pkg}_LIBRARIES})

    if (UNIX AND NOT APPLE)
        install(TARGETS ${copyq_pkg} DESTINATION ${PLUGIN_INSTALL_PREFIX})
    endif()
endmacro()

set(LIBRARY_OUTPUT_PATH ${PROJECT_BINARY_DIR}/plugins)

add_subdirectory("itemdata")
add_subdirectory("itemencrypted")
add_subdirectory("itemfakevim")
add_subdirectory("itemimage")
add_subdirectory("itemnotes")
add_subdirectory("itempinned")
add_subdirectory("itemtags")
add_subdirectory("itemtext")
add_subdirectory("itemsync")
add_subdirectory("itemweb")

=== src/CMakeLists.txt ===
# Project files
file(GLOB copyq_SOURCES
    main.cpp
    app/*.cpp
    common/*.cpp
    gui/*.cpp
    item/*.cpp
    scriptable/*.cpp
    scriptable/scriptableproxy.h
    ../qt/*.cpp
    )

file(GLOB copyq_FORMS
    ui/*.ui
    )

set(copyq_RESOURCES copyq.qrc)

# Qt include paths and definitions
include_directories(${CMAKE_CURRENT_BINARY_DIR} .)
if (WITH_QT5)
    include_directories(${Qt5Widgets_INCLUDES})
    add_definitions(${Qt5Widgets_DEFINITIONS})
else()
    include_directories(${QT_INCLUDES})
    add_definitions(${QT_DEFINITIONS})
endif()

include(platform/platform.cmake)

# Qxt - global shortcuts
if (USE_QXT)
    set(copyq_SOURCES ${copyq_SOURCES}
        ../qxt/qxtglobal.cpp
        ../qxt/qxtglobalshortcut.cpp
        )
    add_definitions( -DQXT_STATIC )
endif()

# Compile with tests?
if (WITH_TESTS)
    file(GLOB copyq_SOURCES ${copyq_SOURCES} tests/*.cpp)
endif()

# translations
file(GLOB copyq_TRANSLATIONS ../translations/*.ts)

if (WITH_QT5)
    find_package(Qt5LinguistTools)
    if (Qt5LinguistTools_FOUND)
        qt5_add_translation(copyq_QM ${copyq_TRANSLATIONS})
    endif()
else()
    qt4_add_translation(copyq_QM ${copyq_TRANSLATIONS})
endif()

if (WITH_QT5)
    qt5_wrap_ui(copyq_FORMS_HEADERS ${copyq_FORMS})
    qt5_add_resources(copyq_RESOURCES_RCC ${copyq_RESOURCES})
else()
    qt4_wrap_ui(copyq_FORMS_HEADERS ${copyq_FORMS})
    qt4_add_resources(copyq_RESOURCES_RCC ${copyq_RESOURCES})
endif()

set(EXECUTABLE_OUTPUT_PATH ${PROJECT_BINARY_DIR})

set(copyq_COMPILE
    ${copyq_COMPILE}
    ${copyq_SOURCES}
    ${copyq_FORMS_HEADERS}
    ${copyq_RESOURCES_RCC}
    ${copyq_QM}
    )

add_executable(copyq ${copyq_COMPILE})

if (APPLE)
    # On Macs we must ensure Carbon and Cocoa are linked
    #
    # We do this using a macro taken from:
    # http://stackoverflow.com/questions/12547624/cant-link-macos-frameworks-with-cmake?rq=1
    macro(ADD_FRAMEWORK fwname appname)
        find_library(FRAMEWORK_${fwname}
            NAMES ${fwname}
            PATHS ${CMAKE_OSX_SYSROOT}/System/Library
            PATH_SUFFIXES Frameworks
            NO_DEFAULT_PATH)
        if( ${FRAMEWORK_${fwname}} STREQUAL FRAMEWORK_${fwname}-NOTFOUND)
            MESSAGE(FATAL_ERROR ": Framework ${fwname} not found")
        else()
            TARGET_LINK_LIBRARIES(${appname} "${FRAMEWORK_${fwname}}/${fwname}")
            MESSAGE(STATUS "Framework ${fwname} found at ${FRAMEWORK_${fwname}}")
        endif()
    endmacro(ADD_FRAMEWORK)

    ADD_FRAMEWORK(Carbon copyq)
    ADD_FRAMEWORK(Cocoa copyq)
endif()

# Qt modules
if (WITH_QT5)
    list(APPEND copyq_Qt5_Modules Network Svg Xml Script)
    find_package(Qt5 REQUIRED COMPONENTS ${copyq_Qt5_Modules})
    qt5_use_modules(copyq ${copyq_Qt5_Modules})
else()
    set(QT_USE_QTNETWORK TRUE)
    set(QT_USE_QTSVG TRUE)
    set(QT_USE_QTXML TRUE)
    set(QT_USE_QTSCRIPT TRUE)
    include(${QT_USE_FILE})
endif()

# macros definitions for preprocessor and moc
set_target_properties(copyq PROPERTIES COMPILE_DEFINITIONS "${copyq_DEFINITIONS}")

# link
set_target_properties(copyq PROPERTIES LINK_FLAGS "${copyq_LINK_FLAGS}")
target_link_libraries(copyq ${QT_LIBRARIES} ${copyq_LIBRARIES})

# install
install(TARGETS copyq DESTINATION bin)

if (TRANSLATION_INSTALL_PREFIX)
    install(FILES ${copyq_QM} DESTINATION "${TRANSLATION_INSTALL_PREFIX}")
endif()

=== plugins/itemdata/CMakeLists.txt ===
set(copyq_plugin_itemdata_SOURCES
    ../../src/common/log.cpp
    ../../src/common/mimetypes.cpp
    ../../src/common/textdata.cpp
    )

copyq_add_plugin(itemdata)

=== plugins/itemimage/CMakeLists.txt ===
set(copyq_plugin_itemimage_SOURCES
    ../../src/common/log.cpp
    ../../src/common/mimetypes.cpp
    ../../src/item/itemeditor.cpp
    )

copyq_add_plugin(itemimage)

=== plugins/itemnotes/CMakeLists.txt ===
set(copyq_plugin_itemnotes_SOURCES
    ../../src/gui/iconfont.cpp
    ../../src/gui/iconwidget.cpp
    ../../src/common/mimetypes.cpp
    ../../src/common/textdata.cpp
    )

copyq_add_plugin(itemnotes)

=== plugins/itempinned/CMakeLists.txt ===
set(copyq_plugin_itempinned_SOURCES
    ../../src/common/display.cpp
    )

copyq_add_plugin(itempinned)

=== plugins/itemsync/CMakeLists.txt ===
set(copyq_plugin_itemsync_SOURCES
    ../../src/common/config.cpp
    ../../src/common/log.cpp
    ../../src/common/mimetypes.cpp
    ../../src/gui/iconfont.cpp
    ../../src/gui/iconselectbutton.cpp
    ../../src/gui/iconselectdialog.cpp
    ../../src/gui/iconwidget.cpp
    ../../src/item/serialize.cpp
    )

copyq_add_plugin(itemsync)

=== plugins/itemtags/CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,6 @@
 set(copyq_plugin_itemtags_SOURCES
     ../../src/common/config.cpp
+    ../../src/common/log.cpp
     ../../src/common/mimetypes.cpp
     ../../src/common/textdata.cpp
     ../../src/gui/iconselectbutton.cpp

=== plugins/itemweb/CMakeLists.txt ===
--- 
+++ 
@@ -24,6 +24,11 @@
         set(QT_USE_QTWEBKIT ON)
     endif()
 
+    set(copyq_plugin_itemweb_SOURCES
+        ../../src/common/mimetypes.cpp
+        ../../src/common/textdata.cpp
+        )
+
     copyq_add_plugin(itemweb)
 endif(HAS_WEBKIT)

=== debian/changelog ===
copyq (3.2.0-1) unstable; urgency=medium

  * New upstream release.
  * d/control: Use Salsa platform for Vcs fields.
  * d/control: Use debhelper compat v11.
  * d/control: Use Standards-Version 4.1.3.

 -- Boyuan Yang <073plan@gmail.com>  Mon, 19 Feb 2018 00:45:48 +0800

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
  Boyuan Yang <073plan@gmail.com>,
 Build-Depends:
  cmake,
- debhelper (>= 10),
+ debhelper (>= 11),
 Build-Depends-Arch:
  libqt5svg5-dev,
  libxfixes-dev,
@@ -18,10 +18,10 @@
 Build-Depends-Indep:
  python3-sphinx,
  python3-sphinx-rtd-theme,
-Standards-Version: 4.1.1
+Standards-Version: 4.1.3
 Homepage: https://hluk.github.io/CopyQ/
-Vcs-Browser: https://anonscm.debian.org/git/collab-maint/copyq.git
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/copyq.git
+Vcs-Browser: https://salsa.debian.org/debian/copyq
+Vcs-Git: https://salsa.debian.org/debian/copyq.git
 
 Package: copyq
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -1,8 +1,7 @@
 #!/usr/bin/make -f
-# See debhelper(7) (uncomment to enable)
-# output every command that modifies files on the build system.
-#export DH_VERBOSE = 1
-
+# -*- makefile -*-
+# Uncomment this to turn on verbose mode.
+# export DH_VERBOSE=1
 
 # see FEATURE AREAS in dpkg-buildflags(1)
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all

## copyq 3.4.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-cmake_minimum_required(VERSION 2.8.6)
+cmake_minimum_required(VERSION 2.8.8)
 project(copyq)
 
 # C++11
@@ -16,7 +16,6 @@
 OPTION(PEDANTIC "Enable all compiler warnings" OFF)
 
 # Options (cmake -LH)
-OPTION(WITH_QT5 "Use Qt 5 (disable to use Qt 4 instead)" ON)
 OPTION(WITH_TESTS "Run test cases from command line" ${COPYQ_DEBUG})
 OPTION(WITH_PLUGINS "Compile plugins" ON)
 # Unix-specific options
@@ -25,43 +24,24 @@
     set(ICON_INSTALL_PREFIX "${CMAKE_INSTALL_PREFIX}/share/icons/hicolor/scalable/apps" CACHE PATH "Install path for icons")
     set(ICON_INSTALL_PREFIX_TEMPLATE "${CMAKE_INSTALL_PREFIX}/share/icons/hicolor/%SIZE%/apps" CACHE PATH "Install path for icons (%SIZE% is icon size)")
     set(THEME_INSTALL_PREFIX "${CMAKE_INSTALL_PREFIX}/share/copyq/themes" CACHE PATH "Install path for themes")
-    set(DESKTOP_INSTALL_PREFIX "${CMAKE_INSTALL_PREFIX}/share/applications" CACHE PATH "Install path for \"copyq.desktop\"")
-    set(APPDATA_INSTALL_PREFIX "${CMAKE_INSTALL_PREFIX}/share/metainfo" CACHE PATH "Install path for \"copyq.appdata.xml\"")
+    set(DESKTOP_INSTALL_PREFIX "${CMAKE_INSTALL_PREFIX}/share/applications" CACHE PATH "Install path for desktop file")
+    set(APPDATA_INSTALL_PREFIX "${CMAKE_INSTALL_PREFIX}/share/metainfo" CACHE PATH "Install path for AppData file")
     set(MANPAGE_INSTALL_PREFIX "${CMAKE_INSTALL_PREFIX}/share/man/man1" CACHE PATH "Install path for manual pages")
     set(TRANSLATION_INSTALL_PREFIX "${CMAKE_INSTALL_PREFIX}/share/copyq/translations" CACHE PATH "Install path for translations")
-    set(DESKTOP_INSTALL_NAME "copyq.desktop" CACHE STRING "Name for desktop file")
-    set(APPDATA_INSTALL_NAME "copyq.appdata.xml" CACHE STRING "Name for appdata file")
     set(ICON_NAME "copyq" CACHE STRING "Name for icon files")
 endif()
 
 set(CMAKE_AUTOMOC ON)
 
-if (WITH_QT5)
-    cmake_minimum_required(VERSION 2.8.8)
-    list(APPEND copyq_Qt5_Modules Widgets)
-    find_package(Qt5Widgets)
-    if (NOT Qt5Widgets_FOUND)
-        message(FATAL_ERROR "Qt 5 is unavailable. To compile with Qt 4 use -DWITH_QT5=OFF.")
-    endif()
-    message(STATUS "Building with Qt 5.")
-else()
-    find_package(Qt4)
-    if (NOT QT4_FOUND)
-        # Try different executable name.
-        set(QT_QMAKE_EXECUTABLE "qmake-qt4")
-        find_package(Qt4)
-        if (NOT QT4_FOUND)
-            message(FATAL_ERROR "Qt 4 is unavailable. To compile with Qt 5 use -DWITH_QT5=ON.")
-        endif()
-    endif()
-    message(STATUS "Building with Qt 4.")
-endif()
+list(APPEND copyq_Qt5_Modules Widgets)
+find_package(Qt5Widgets 5.1.0 REQUIRED)
 
+set(copyq_APP_ID      com.github.hluk.copyq)
 set(copyq_ICON_PREFIX src/images/icon)
 set(copyq_ICON_NORMAL src/images/icon.svg)
 set(copyq_ICON_BUSY   src/images/icon-running.svg)
-set(copyq_DESKTOP     shared/copyq.desktop)
-set(copyq_APPDATA     shared/copyq.appdata.xml)
+set(copyq_DESKTOP     shared/${copyq_APP_ID}.desktop)
+set(copyq_APPDATA     shared/${copyq_APP_ID}.appdata.xml)
 set(copyq_MANPAGE     debian/copyq.1)
 
 # Be more strict while compiling debugging version
@@ -139,11 +119,7 @@
 
     add_definitions( -DHAS_TESTS )
 
-    if (WITH_QT5)
-        list(APPEND copyq_Qt5_Modules Test)
-    else()
-        set(QT_USE_QTTEST TRUE)
-    endif()
+    list(APPEND copyq_Qt5_Modules Test)
 endif()
 
 # Get application version.
@@ -176,11 +152,11 @@
 if (UNIX AND NOT APPLE)
     install(FILES ${copyq_ICON_NORMAL} DESTINATION ${ICON_INSTALL_PREFIX} RENAME ${ICON_NAME}-normal.svg)
     install(FILES ${copyq_ICON_BUSY}   DESTINATION ${ICON_INSTALL_PREFIX} RENAME ${ICON_NAME}-busy.svg)
-    install(FILES ${copyq_APPDATA}     DESTINATION ${APPDATA_INSTALL_PREFIX} RENAME ${APPDATA_INSTALL_NAME})
+    install(FILES ${copyq_APPDATA}     DESTINATION ${APPDATA_INSTALL_PREFIX})
     install(FILES ${copyq_MANPAGE}     DESTINATION ${MANPAGE_INSTALL_PREFIX})
 
     configure_file(${copyq_DESKTOP}.in ${copyq_DESKTOP})
-    install(FILES ${CMAKE_CURRENT_BINARY_DIR}/${copyq_DESKTOP} DESTINATION ${DESKTOP_INSTALL_PREFIX} RENAME ${DESKTOP_INSTALL_NAME})
+    install(FILES ${CMAKE_CURRENT_BINARY_DIR}/${copyq_DESKTOP} DESTINATION ${DESKTOP_INSTALL_PREFIX})
 
     foreach (copyq_ICON_EXTENT 16 22 24 32 48 64 128)
         set(copyq_ICON_SIZE "${copyq_ICON_EXTENT}x${copyq_ICON_EXTENT}")
@@ -197,7 +173,7 @@
     add_definitions( -DCOPYQ_ICON_PREFIX="${ICON_INSTALL_PREFIX}/${ICON_NAME}" )
     add_definitions( -DCOPYQ_THEME_PREFIX="${THEME_INSTALL_PREFIX}" )
     add_definitions( -DCOPYQ_PLUGIN_PREFIX="${PLUGIN_INSTALL_PREFIX}" )
-    add_definitions( -DCOPYQ_DESKTOP_FILE="${DESKTOP_INSTALL_PREFIX}/${DESKTOP_INSTALL_NAME}" )
+    add_definitions( -DCOPYQ_DESKTOP_FILE="${DESKTOP_INSTALL_PREFIX}/${copyq_APP_ID}.desktop" )
     add_definitions( -DCOPYQ_TRANSLATION_PREFIX="${TRANSLATION_INSTALL_PREFIX}" )
     add_definitions( -DCOPYQ_ICON_NAME="${ICON_NAME}" )
 endif()

=== plugins/CMakeLists.txt ===
--- 
+++ 
@@ -17,17 +17,10 @@
 
     include_directories(${CMAKE_CURRENT_BINARY_DIR} ../../src)
 
-    if (WITH_QT5)
-        include_directories(${Qt5Widgets_INCLUDES})
-        add_definitions(${Qt5Widgets_DEFINITIONS})
-        qt5_wrap_ui(copyq_plugin_FORMS_HEADERS ${copyq_plugin_FORMS})
-        qt5_add_resources(copyq_plugin_RCC ${copyq_plugin_${copyq_pkg}_RESOURCES})
-    else()
-        include_directories(${QT_INCLUDES})
-        add_definitions(${QT_DEFINITIONS})
-        qt4_wrap_ui(copyq_plugin_FORMS_HEADERS ${copyq_plugin_FORMS})
-        qt4_add_resources(copyq_plugin_RCC ${copyq_plugin_${copyq_pkg}_RESOURCES})
-    endif()
+    include_directories(${Qt5Widgets_INCLUDES})
+    add_definitions(${Qt5Widgets_DEFINITIONS})
+    qt5_wrap_ui(copyq_plugin_FORMS_HEADERS ${copyq_plugin_FORMS})
+    qt5_add_resources(copyq_plugin_RCC ${copyq_plugin_${copyq_pkg}_RESOURCES})
 
     add_library(${copyq_pkg} MODULE
         ${copyq_plugin_SOURCES}
@@ -38,11 +31,7 @@
     set_target_properties(${copyq_pkg} PROPERTIES
         COMPILE_DEFINITIONS "${copyq_plugin_${copyq_pkg}_DEFINITIONS}")
 
-    if (WITH_QT5)
-        qt5_use_modules(${copyq_pkg} Widgets ${copyq_Qt5_Modules} ${copyq_plugin_${copyq_pkg}_Qt5_Modules})
-    else()
-        include(${QT_USE_FILE})
-    endif()
+    qt5_use_modules(${copyq_pkg} Widgets ${copyq_Qt5_Modules} ${copyq_plugin_${copyq_pkg}_Qt5_Modules})
 
     target_link_libraries(${copyq_pkg} ${QT_LIBRARIES} ${copyq_plugin_${copyq_pkg}_LIBRARIES})

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -18,23 +18,18 @@
 
 # Qt include paths and definitions
 include_directories(${CMAKE_CURRENT_BINARY_DIR} .)
-if (WITH_QT5)
-    include_directories(${Qt5Widgets_INCLUDES})
-    add_definitions(${Qt5Widgets_DEFINITIONS})
-else()
-    include_directories(${QT_INCLUDES})
-    add_definitions(${QT_DEFINITIONS})
-endif()
+include_directories(${Qt5Widgets_INCLUDES})
+add_definitions(${Qt5Widgets_DEFINITIONS})
 
 include(platform/platform.cmake)
 
 # Qxt - global shortcuts
 if (USE_QXT)
     set(copyq_SOURCES ${copyq_SOURCES}
-        ../qxt/qxtglobal.cpp
         ../qxt/qxtglobalshortcut.cpp
         )
     add_definitions( -DQXT_STATIC )
+    include_directories(${Qt5Gui_PRIVATE_INCLUDE_DIRS})
 endif()
 
 # Compile with tests?
@@ -45,22 +40,13 @@
 # translations
 file(GLOB copyq_TRANSLATIONS ../translations/*.ts)
 
-if (WITH_QT5)
-    find_package(Qt5LinguistTools)
-    if (Qt5LinguistTools_FOUND)
-        qt5_add_translation(copyq_QM ${copyq_TRANSLATIONS})
-    endif()
-else()
-    qt4_add_translation(copyq_QM ${copyq_TRANSLATIONS})
+find_package(Qt5LinguistTools)
+if (Qt5LinguistTools_FOUND)
+    qt5_add_translation(copyq_QM ${copyq_TRANSLATIONS})
 endif()
 
-if (WITH_QT5)
-    qt5_wrap_ui(copyq_FORMS_HEADERS ${copyq_FORMS})
-    qt5_add_resources(copyq_RESOURCES_RCC ${copyq_RESOURCES})
-else()
-    qt4_wrap_ui(copyq_FORMS_HEADERS ${copyq_FORMS})
-    qt4_add_resources(copyq_RESOURCES_RCC ${copyq_RESOURCES})
-endif()
+qt5_wrap_ui(copyq_FORMS_HEADERS ${copyq_FORMS})
+qt5_add_resources(copyq_RESOURCES_RCC ${copyq_RESOURCES})
 
 set(EXECUTABLE_OUTPUT_PATH ${PROJECT_BINARY_DIR})
 
@@ -98,17 +84,9 @@
 endif()
 
 # Qt modules
-if (WITH_QT5)
-    list(APPEND copyq_Qt5_Modules Network Svg Xml Script)
-    find_package(Qt5 REQUIRED COMPONENTS ${copyq_Qt5_Modules})
-    qt5_use_modules(copyq ${copyq_Qt5_Modules})
-else()
-    set(QT_USE_QTNETWORK TRUE)
-    set(QT_USE_QTSVG TRUE)
-    set(QT_USE_QTXML TRUE)
-    set(QT_USE_QTSCRIPT TRUE)
-    include(${QT_USE_FILE})
-endif()
+list(APPEND copyq_Qt5_Modules Network Svg Xml Script)
+find_package(Qt5 REQUIRED COMPONENTS ${copyq_Qt5_Modules})
+qt5_use_modules(copyq ${copyq_Qt5_Modules})
 
 # macros definitions for preprocessor and moc
 set_target_properties(copyq PROPERTIES COMPILE_DEFINITIONS "${copyq_DEFINITIONS}")

=== plugins/itemweb/CMakeLists.txt ===
OPTION(WITH_WEBKIT "WebKit support" ON)

# Qt modules
if (WITH_WEBKIT)
    find_package(Qt5WebKitWidgets QUIET)
    set(HAS_WEBKIT ${Qt5WebKitWidgets_FOUND})
endif(WITH_WEBKIT)

# webkit
if (HAS_WEBKIT)
    message(STATUS "Building with ItemWeb plugin.")

    set(copyq_plugin_itemweb_Qt5_Modules WebKitWidgets)

    set(copyq_plugin_itemweb_SOURCES
        ../../src/common/mimetypes.cpp
        ../../src/common/textdata.cpp
        )

    copyq_add_plugin(itemweb)
endif(HAS_WEBKIT)

=== debian/changelog ===
copyq (3.4.0-1) unstable; urgency=medium

  * New upstream release.
  * d/rules: Use "dh_missing --fail-missing".
  * d/patches: Backport several patches from upstream trunk.

 -- Boyuan Yang <073plan@gmail.com>  Wed, 02 May 2018 09:51:56 +0800

copyq (3.3.1-1) unstable; urgency=medium

  * New upstream release.
  * Backport various patches from upstream trunk.

 -- Boyuan Yang <073plan@gmail.com>  Thu, 12 Apr 2018 21:27:18 +0800

copyq (3.3.0-1) unstable; urgency=medium

  * New upstream release.
  * Backport patch for X11 from upstream trunk.

 -- Boyuan Yang <073plan@gmail.com>  Tue, 20 Mar 2018 00:08:52 +0800

=== debian/control ===
--- 
+++ 
@@ -6,11 +6,12 @@
  Boyuan Yang <073plan@gmail.com>,
 Build-Depends:
  cmake,
- debhelper (>= 11),
+ debhelper (>= 11~),
 Build-Depends-Arch:
  libqt5svg5-dev,
  libxfixes-dev,
  libxtst-dev,
+ libqt5x11extras5-dev,
  qtbase5-private-dev,
  qtscript5-dev,
  qttools5-dev,
@@ -18,7 +19,7 @@
 Build-Depends-Indep:
  python3-sphinx,
  python3-sphinx-rtd-theme,
-Standards-Version: 4.1.3
+Standards-Version: 4.1.4
 Homepage: https://hluk.github.io/CopyQ/
 Vcs-Browser: https://salsa.debian.org/debian/copyq
 Vcs-Git: https://salsa.debian.org/debian/copyq.git

=== debian/rules ===
--- 
+++ 
@@ -12,7 +12,7 @@
 # package maintainers to append LDFLAGS
 export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
 
-export QT_SELECT=5
+export QT_SELECT := 5
 
 
 %:
@@ -42,3 +42,6 @@
 	sphinx-build docs/ $@
 
 override_dh_auto_install-indep:
+
+override_dh_missing:
+	dh_missing --fail-missing

## copyq 3.5.0

=== plugins/CMakeLists.txt ===
--- 
+++ 
@@ -31,9 +31,7 @@
     set_target_properties(${copyq_pkg} PROPERTIES
         COMPILE_DEFINITIONS "${copyq_plugin_${copyq_pkg}_DEFINITIONS}")
 
-    qt5_use_modules(${copyq_pkg} Widgets ${copyq_Qt5_Modules} ${copyq_plugin_${copyq_pkg}_Qt5_Modules})
-
-    target_link_libraries(${copyq_pkg} ${QT_LIBRARIES} ${copyq_plugin_${copyq_pkg}_LIBRARIES})
+    target_link_libraries(${copyq_pkg} ${copyq_LIBRARIES} ${copyq_plugin_${copyq_pkg}_LIBRARIES})
 
     if (UNIX AND NOT APPLE)
         install(TARGETS ${copyq_pkg} DESTINATION ${PLUGIN_INSTALL_PREFIX})

=== plugins/itemencrypted/CMakeLists.txt ===
set(copyq_plugin_itemencrypted_SOURCES
    ../../src/common/config.cpp
    ../../src/common/log.cpp
    ../../src/common/mimetypes.cpp
    ../../src/common/shortcuts.cpp
    ../../src/common/textdata.cpp
    ../../src/gui/iconfont.cpp
    ../../src/gui/iconwidget.cpp
    ../../src/item/serialize.cpp
    )

copyq_add_plugin(itemencrypted)

=== debian/changelog ===
copyq (3.5.0-2) unstable; urgency=medium

  * Update my uploader email address and use the @debian.org one.
  * Bump Standards-Version to 4.2.1 (no changes needed).
  * Move libqt5svg5 to Recommends: field.

 -- Boyuan Yang <073plan@gmail.com>  Tue, 28 Aug 2018 12:45:04 -0400

copyq (3.5.0-1) unstable; urgency=medium

  * New upstream release.
  * d/patches: Drop backported patches.

 -- Boyuan Yang <073plan@gmail.com>  Thu, 21 Jun 2018 15:26:46 +0800

=== debian/control ===
--- 
+++ 
@@ -3,15 +3,15 @@
 Priority: optional
 Maintainer: Yangfl <mmyangfl@gmail.com>
 Uploaders:
- Boyuan Yang <073plan@gmail.com>,
+ Boyuan Yang <byang@debian.org>,
 Build-Depends:
  cmake,
  debhelper (>= 11~),
 Build-Depends-Arch:
  libqt5svg5-dev,
+ libqt5x11extras5-dev,
  libxfixes-dev,
  libxtst-dev,
- libqt5x11extras5-dev,
  qtbase5-private-dev,
  qtscript5-dev,
  qttools5-dev,
@@ -19,7 +19,7 @@
 Build-Depends-Indep:
  python3-sphinx,
  python3-sphinx-rtd-theme,
-Standards-Version: 4.1.4
+Standards-Version: 4.2.1
 Homepage: https://hluk.github.io/CopyQ/
 Vcs-Browser: https://salsa.debian.org/debian/copyq
 Vcs-Git: https://salsa.debian.org/debian/copyq.git
@@ -31,8 +31,8 @@
  ${shlibs:Depends},
 Recommends:
  copyq-plugins (= ${binary:Version}),
+ libqt5svg5,
 Suggests:
- libqt5svg5,
  copyq-doc,
 Description: Advanced clipboard manager with editing and scripting features
  CopyQ monitors system clipboard and saves its content in customized tabs.
@@ -60,6 +60,21 @@
   * Support for simple Vim-like editor and shortcuts
   * Many more features
 
+Package: copyq-doc
+Architecture: all
+Depends:
+ ${misc:Depends},
+ ${sphinxdoc:Depends},
+Built-Using:
+ ${sphinxdoc:Built-Using},
+Section: doc
+Multi-Arch: foreign
+Description: Documentation and examples for CopyQ - HTML format
+ CopyQ monitors system clipboard and saves its content in customized tabs.
+ Saved clipboard can be later copied and pasted directly into any application.
+ .
+ This contains the documentation in HTML format.
+
 Package: copyq-plugins
 Architecture: any
 Depends:
@@ -82,18 +97,3 @@
   * Synchronize Items to Disk
   * Item Tags
   * Pinned Items
-
-Package: copyq-doc
-Architecture: all
-Depends:
- ${sphinxdoc:Depends},
- ${misc:Depends},
-Built-Using:
- ${sphinxdoc:Built-Using},
-Section: doc
-Multi-Arch: foreign
-Description: Documentation and examples for CopyQ - HTML format
- CopyQ monitors system clipboard and saves its content in customized tabs.
- Saved clipboard can be later copied and pasted directly into any application.
- .
- This contains the documentation in HTML format.

## copyq 3.6.1

=== plugins/itemtext/CMakeLists.txt ===
set(copyq_plugin_itemtext_SOURCES
    ../../src/common/mimetypes.cpp
    ../../src/common/textdata.cpp
    )

copyq_add_plugin(itemtext)

=== debian/changelog ===
copyq (3.6.1-1~nd1~nd18.04+1) bionic; urgency=medium

  * Backported for bionic.
  * Used following sed expression to modify debian/control: -e
    's/\(^Depends:\) */\1 neurodebian-popularity-contest, /g' -e
    's/^Maintainer:.*$/Maintainer: NeuroDebian Maintainers
    <team@neuro.debian.net>\nX-Original-&/'.

 -- NeuroDebian Maintainers <team@neuro.debian.net>  Thu, 18 Oct 2018 13:32:30 -0400

copyq (3.6.1-1~nd1) neurodebian; urgency=medium

  * Downgrade demand on debhelper to 9 for easy backporting

 -- Boyuan Yang <neurodebian@smaug.cns.dartmouth.edu>  Thu, 18 Oct 2018 10:51:58 -0400

copyq (3.6.1-1) unstable; urgency=medium

  * New upstream hotfix release.

 -- Boyuan Yang <byang@debian.org>  Wed, 26 Sep 2018 15:54:15 -0400

copyq (3.6.0-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Tue, 25 Sep 2018 14:33:05 -0400

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,13 @@
 Source: copyq
 Section: utils
 Priority: optional
-Maintainer: Yangfl <mmyangfl@gmail.com>
+Maintainer: NeuroDebian Maintainers <team@neuro.debian.net>
+X-Original-Maintainer: Yangfl <mmyangfl@gmail.com>
 Uploaders:
  Boyuan Yang <byang@debian.org>,
 Build-Depends:
  cmake,
- debhelper (>= 11~),
+ debhelper (>= 9),
 Build-Depends-Arch:
  libqt5svg5-dev,
  libqt5x11extras5-dev,
@@ -26,7 +27,7 @@
 
 Package: copyq
 Architecture: any
-Depends:
+Depends: neurodebian-popularity-contest, 
  ${misc:Depends},
  ${shlibs:Depends},
 Recommends:
@@ -62,7 +63,7 @@
 
 Package: copyq-doc
 Architecture: all
-Depends:
+Depends: neurodebian-popularity-contest, 
  ${misc:Depends},
  ${sphinxdoc:Depends},
 Built-Using:
@@ -77,7 +78,7 @@
 
 Package: copyq-plugins
 Architecture: any
-Depends:
+Depends: neurodebian-popularity-contest, 
  copyq (= ${binary:Version}),
  ${misc:Depends},
  ${shlibs:Depends},
